import request from '@/utils/request';

//分页查询学校教师
export function querySchoolTeacherPage(params:any){
  return request({
    url: '/base/school-teacher/querySchoolTeacherPage' ,
    method: 'get',
    params: params
  });
}
//查询学校教师列表
export function querySchoolTeacherList(params:any){
  return request({
    url: '/base/school-teacher/querySchoolTeacherList' ,
    method: 'get',
    params: params
  });
}

//新增学校教师
export function addSchoolTeacher(data:any){
  return request({
    url:'/base/school-teacher/addSchoolTeacher' ,
    method: 'post',
    data: data
  });
}
//修改学校教师
export function updateSchoolTeacher(data:any){
  return request({
    url:'/base/school-teacher/updateSchoolTeacher' ,
    method: 'post',
    data: data
  });
}
//删除学校年级
export function delSchoolTeacher(queryParams:any){
  return request({
    url:'/base/school-teacher/delSchoolTeacher' ,
    method: 'post',
    params: queryParams
  });
}
